PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_copytupleintoslot

## Name

SPI_copytupleintoslot -- make a copy of a row and descriptor in the upper executor context

## Synopsis

    TupleTableSlot * SPI_copytupleintoslot(HeapTuple row, TupleDesc rowdesc)

## Description

`SPI_copytupleintoslot` makes a copy of a row in the upper executor context, returning it in the form of a filled-in `TupleTableSlot` structure.

## Arguments

`HeapTuple row`

  row to be copied

`TupleDesc rowdesc`

  row descriptor to be copied

## Return Value

`TupleTableSlot` containing the copied row and descriptor; `NULL` only if row or rowdesc are `NULL`

Prev | Home | Next
SPI_copytupledesc | Up | SPI_modifytuple